package net.goldtreeservers.worldguardextraflags.fawe;

import com.fastasyncworldedit.core.regions.FaweMask;
import com.fastasyncworldedit.core.regions.FaweMaskManager;
import com.sk89q.worldedit.entity.Player;
import org.bukkit.plugin.Plugin;

import com.fastasyncworldedit.core.FaweAPI;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import net.goldtreeservers.worldguardextraflags.WorldGuardExtraFlagsPlugin;

@RequiredArgsConstructor
public class FAWEHelper
{
	@Getter private final WorldGuardExtraFlagsPlugin plugin;
	@Getter private final Plugin fawePlugin;

	public void onEnable()
	{
		FaweAPI.addMaskManager(new FaweMaskManager("WorldGuardExtraFlags")
		{
			@Override
			public FaweMask getMask(Player player, MaskType type, boolean isWhitelist)
			{
				return null;
			}
		});
	}
}
